Bug 222451 - Makes X go blank and seemingly hang taking no input
Makes X go blank and seemingly hang taking no input
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-01-12 11:37 EST by Peter Eriksen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-12 14:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Eriksen 2007-01-12 11:37:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20061219 Fedora/ Firefox/ pango-text

Description of problem:
When starting Wesnoth, the screen goes blank, and the computer seems to hang.  It began doing this after the latest big upgrade batch with the kernel+glibc and so on.  I am using the default nv graphics driver.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Wesnoth.

Actual Results:
The screen goes blank and hangs.

Expected Results:
Wesnoth should have loaded.

Additional info:
Comment 1 Brian Pepple 2007-01-12 13:33:27 EST
Hmm, I'm unable to reproduce this on my FC6 machine.  Do you have any other
information that can help me?  Backtrace or output from the terminal?
Comment 2 Brian Pepple 2007-01-31 09:53:33 EST
Ping.  Is this bug still present?
Comment 3 Peter Eriksen 2007-01-31 10:52:08 EST
(In reply to comment #2)
> Ping.  Is this bug still present?

Yes, even after the last upgrade of Wesnoth.  I can't give any backtrace or
terminal output, because it seems to happen before any output to the terminal
has happened.  If I run Wesnoth under gdb it still hangs X (caps lock light does
not work), so I can't read any backtrace.  I can't reproduce it
deterministically, but it might have something to do with the sound, because if
Skype recieves a call, when Wesnoth is running (happened once), the same thing
happened.  So it could maybe be sound interference from Skype or Gaim, which
makes Wesnoth hang on startup, but I haven't recognised any pattern wrt. what
programs are running.


1) The bug is still present, and
2) I need some suggestions about how to investigate the bug.


Comment 4 Peter Eriksen 2007-01-31 10:55:53 EST
(In reply to comment #3)
> (In reply to comment #2)
> > Ping.  Is this bug still present?
> Yes, even after the last upgrade of Wesnoth.

Btw. the screen only hangs _sometimes_ now.  About half of the times Wesnoth
runs normally, and half of the time it does not (note to my comment about what
other programs are running, when Wesnoth is started).
Comment 5 Brian Pepple 2007-11-12 13:59:59 EST
ping.  are you still experiencing this bug in the latest version in FC6?  I've
been unable to ever reproduce this behavior.
Comment 6 Peter Eriksen 2007-11-12 14:46:50 EST
No, I upgraded to FC7, and do not remember having any problems. It might have
been a hardware problem, because I had graphical problems during the summer, and
sent it in for repair. They changed the motherboard and the graphics card.

Now I have other problems (all devices on IRQ 11 are ignored by FC6-8, which
includes the network card, USB ports, and the build in speakers), but I'll try
to remember to test Wesnoth again, when that gets sorted out.

Should we close this one, since FC6 will soon be unsupported, and I have
upgraded a long time ago anyway?
Comment 7 Brian Pepple 2007-11-12 14:57:34 EST
Thanks for the quick reply.  I'm going to mark it as NOTABUG for now, since
we've been unable to reproduce it.  If   you see it again, we can always reopen it.

Note You need to log in before you can comment on or make changes to this bug.